Variables API
List variables
List all project variables for the current project. Secret values are redacted in the response. File-type variables include metadata such as type, fileName, fileSize, and mimeType.
GET
bearerAuthheader
AuthorizationBearer <token>Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
List of variables
application/json- response
[index: integer]?curl -X GET 'https://demo.supercheck.dev/api/variables'Example Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "key": "string", "type": "variable", "value": "string", "isSecret": true, "description": "string", "createdByName": "string", "createdByImage": "string", "fileName": "string", "fileSize": 0, "mimeType": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]